LogoopenSUSE Build Service > Projects
Sign Up | Log In

View File python-napalm.spec of Package python-napalm (Project home:dmolkentin:netbox)

#
# spec file for package python-napalm
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-napalm
Version:        2.3.0
Release:        0
License:        Apache-2.0
Summary:        Network Automation and Programmability Abstraction Layer with Multivendor support
Url:            https://github.com/napalm-automation/napalm
Group:          Development/Languages/Python
Source:         https://files.pythonhosted.org/packages/source/n/napalm/napalm-%{version}.tar.gz
BuildRequires:  python-rpm-macros
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module pip}
# SECTION test requirements
BuildRequires:  %{python_module future}
BuildRequires:  %{python_module Jinja2}
BuildRequires:  %{python_module jtextfsm}
BuildRequires:  %{python_module junos-eznc >= 2.1.5}
BuildRequires:  %{python_module netaddr}
BuildRequires:  %{python_module netmiko >= 1.4.3}
BuildRequires:  %{python_module pyeapi}
BuildRequires:  %{python_module pyIOSXR >= 0.51}
BuildRequires:  %{python_module pynxos}
BuildRequires:  %{python_module PyYAML}
BuildRequires:  %{python_module scp}
# /SECTION
BuildRequires:  fdupes
Requires:       python-future
Requires:       python-Jinja2
Requires:       python-jtextfsm
Requires:       python-junos-eznc >= 2.1.5
Requires:       python-netaddr
Requires:       python-netmiko >= 1.4.3
Requires:       python-pyeapi
Requires:       python-pyIOSXR >= 0.51
Requires:       python-pynxos
Requires:       python-PyYAML
Requires:       python-scp
BuildArch:      noarch

%python_subpackages

%description
NAPALM (Network Automation and Programmability Abstraction Layer with
Multivendor support) is a Python library that implements a set of functions to
interact with different router vendor devices using a unified API.

%prep
%setup -q -n napalm-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}
#check
#python_exec setup.py test

%files %{python_files}
%doc README.md
%python3_only %{_bindir}/cl_napalm_test
%python3_only %{_bindir}/cl_napalm_configure
%python3_only %{_bindir}/cl_napalm_validate
%python3_only %{_bindir}/napalm
%{python_sitelib}/*

%changelog